//用于测试ToomossCAN库的功能
import 'dart:io';
import 'package:logging/logging.dart';
import 'toomoss_can.dart';
import 'package:intl/intl.dart';

void main() {
  // 配置日志记录器
  Logger.root.level = Level.ALL;
  Logger.root.onRecord.listen((LogRecord rec) {
    // 获取当前日期并格式化为 yyyy-MM-dd 格式作为日志文件名
    String datestr = DateFormat('yyyy-MM-dd').format(DateTime.now());
    String logFileName = 'log_$datestr.txt';
    File(logFileName).writeAsStringSync('${rec.time}: ${rec.level.name}: ${rec.message}\n', mode: FileMode.append);
  });
  var can = ToomossCAN();

  final retVal = can.initialize();
  if (retVal == false) {
    print('Failed to initialize CAN device');
    return;
  }
  final retVal2 = can.refresh();
  if (retVal2 == 0) {
    print('Failed to refresh CAN device');
    return;
  }
  
  
}